package com.yanzhu.project.mapper;

import java.util.List;
import com.yanzhu.project.domain.ProProjectApply;
import com.yanzhu.project.domain.ProProjectApplyDetail;

/**
 * 项目申请Mapper接口
 * 
 * @author yanZhu
 * @date 2024-02-23
 */
public interface ProProjectApplyMapper 
{
    /**
     * 查询项目申请
     * 
     * @param id 项目申请主键
     * @return 项目申请
     */
    public ProProjectApply selectProProjectApplyById(Long id);

    /**
     * 查询项目申请列表
     * 
     * @param proProjectApply 项目申请
     * @return 项目申请集合
     */
    public List<ProProjectApply> selectProProjectApplyList(ProProjectApply proProjectApply);

    /**
     * 新增项目申请
     * 
     * @param proProjectApply 项目申请
     * @return 结果
     */
    public int insertProProjectApply(ProProjectApply proProjectApply);

    /**
     * 修改项目申请
     * 
     * @param proProjectApply 项目申请
     * @return 结果
     */
    public int updateProProjectApply(ProProjectApply proProjectApply);

    /**
     * 删除项目申请
     * 
     * @param id 项目申请主键
     * @return 结果
     */
    public int deleteProProjectApplyById(Long id);

    /**
     * 批量删除项目申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProProjectApplyByIds(Long[] ids);

    /**
     * 批量删除项目申请明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProProjectApplyDetailByApplyIds(Long[] ids);
    
    /**
     * 批量新增项目申请明细
     * 
     * @param proProjectApplyDetailList 项目申请明细列表
     * @return 结果
     */
    public int batchProProjectApplyDetail(List<ProProjectApplyDetail> proProjectApplyDetailList);
    

    /**
     * 通过项目申请主键删除项目申请明细信息
     * 
     * @param id 项目申请ID
     * @return 结果
     */
    public int deleteProProjectApplyDetailByApplyId(Long id);
}
